/***************************************************************************
                  dialogresize.h  -  resize block dialog
                 ----------------------------------------
    begin                : Sat Sep 30 2000
    copyright            : (C) 2000 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIALOGRESIZE_H
#define DIALOGRESIZE_H

#include "soundblock.h"

#include <sigc++/signal_system.h>

#include <gtk--/window.h>
#include <gtk--/box.h>
#include <gtk--/buttonbox.h>
#include <gtk--/button.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/scale.h>

#include <gnome--/stock.h>

/**
  *@author Ladislav Slezk
  */

class DialogResize : public Gtk::Window {

  public:

  	DialogResize(SoundBlock*);
	  ~DialogResize();
	
  private:

//	  Gtk::Button *bok, *bcancel;
    Gnome::StockButton *bok;
    Gnome::StockButton *bcancel;

    Gtk::Adjustment *a1, *a2;
    SoundBlock* sb;

    Gtk::Label *t1, *t2;

	  void ok_pressed();
	  void hscale_begin_changed();
	  void hscale_end_changed();

};

#endif
