/***************************************************************************
                        main.cpp  -  main function
                       ----------------------------
    begin                : Thu Jul 6 2000
    copyright            : (C) 2000 by Ladislav Slezk
    email                : slezak@penguin.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome--/main.h>
#include <libgnome/gnome-i18n.h>

#include "mainwin.h"

int main (int argc, char *argv[]){

#ifdef ENABLE_NLS
  bindtextdomain(PACKAGE, GNOMELOCALEDIR);
  textdomain(PACKAGE);
#endif
  
#ifdef DEBUG_OUTPUT
  cerr << "Package: " << PACKAGE << endl;
  cerr << "Locale : " << GNOMELOCALEDIR << endl;
#endif

  Gnome::Main app(PACKAGE, VERSION, argc, argv);
  MainWin *mw = manage(new MainWin);

  mw->show();
  app.run();

  return 0;
}

